org.springframework.data.repository.config

## Class RepositoryBeanDefinitionRegistrarSupport

- java.lang.Object
- - org.springframework.data.repository.config.RepositoryBeanDefinitionRegistrarSupport

All Implemented Interfaces:
  Aware, ImportBeanDefinitionRegistrar, EnvironmentAware, ResourceLoaderAware

    public abstract class RepositoryBeanDefinitionRegistrarSupport
    extends Object
    implements ImportBeanDefinitionRegistrar, ResourceLoaderAware, EnvironmentAware

Base class to implement `ImportBeanDefinitionRegistrar`s to enable repository

Author:
  Oliver Gierke

### Constructor Summary

Constructors
Constructor and Description
`RepositoryBeanDefinitionRegistrarSupport()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods Deprecated Methods
`protected abstract Class<? extends Annotation>` `getAnnotation()` Return the annotation to obtain configuration information from.
`protected abstract RepositoryConfigurationExtension` `getExtension()` Returns the `RepositoryConfigurationExtension` for store specific callbacks and `BeanDefinition` post-processing.
`void` `registerBeanDefinitions(AnnotationMetadata metadata, BeanDefinitionRegistry registry)` Deprecated. since 2.2, call `registerBeanDefinitions(AnnotationMetadata, BeanDefinitionRegistry, BeanNameGenerator)` instead.
`void` `registerBeanDefinitions(AnnotationMetadata metadata, BeanDefinitionRegistry registry, BeanNameGenerator generator)`
`void` `setEnvironment(Environment environment)`
`void` `setResourceLoader(ResourceLoader resourceLoader)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RepositoryBeanDefinitionRegistrarSupport

    public RepositoryBeanDefinitionRegistrarSupport()

### Method Detail

#### setResourceLoader

    public void setResourceLoader(ResourceLoader resourceLoader)

Specified by:
  `setResourceLoader` in interface `ResourceLoaderAware`

#### setEnvironment

    public void setEnvironment(Environment environment)

Specified by:
  `setEnvironment` in interface `EnvironmentAware`

#### registerBeanDefinitions

    @Deprecated
    public void registerBeanDefinitions(AnnotationMetadata metadata,
                                                    BeanDefinitionRegistry registry)

Deprecated. since 2.2, call `registerBeanDefinitions(AnnotationMetadata, BeanDefinitionRegistry, BeanNameGenerator)` instead.
Forwarding to `registerBeanDefinitions(AnnotationMetadata, BeanDefinitionRegistry, BeanNameGenerator)` for backwards compatibility reasons so that tests in downstream modules do not accidentally invoke the super type's default implementation.

Specified by:
  `registerBeanDefinitions` in interface `ImportBeanDefinitionRegistrar`
See Also:
  `ImportBeanDefinitionRegistrar.registerBeanDefinitions(org.springframework.core.type.AnnotationMetadata, org.springframework.beans.factory.support.BeanDefinitionRegistry)`, `ConfigurationClassPostProcessor.IMPORT_BEAN_NAME_GENERATOR`

#### registerBeanDefinitions

    public void registerBeanDefinitions(AnnotationMetadata metadata,
                                        BeanDefinitionRegistry registry,
                                        BeanNameGenerator generator)

Specified by:
  `registerBeanDefinitions` in interface `ImportBeanDefinitionRegistrar`

#### getAnnotation

    protected abstract Class<? extends Annotation> getAnnotation()

Return the annotation to obtain configuration information from. Will be wrappen into an `AnnotationRepositoryConfigurationSource` so have a look at the constants in there for what annotation attributes it expects.

Returns:

#### getExtension

    protected abstract RepositoryConfigurationExtension getExtension()

Returns the `RepositoryConfigurationExtension` for store specific callbacks and `BeanDefinition` post-processing.

Returns:
See Also:
  `RepositoryConfigurationExtensionSupport`